# Uses of Interface
org.eclipse.core.runtime.preferences.IEclipsePreferences

Packages that use IEclipsePreferences
Package
Description
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.
org.eclipse.core.runtime.preferences
Provides core support for Eclipse preferences.
org.eclipse.equinox.p2.engine
Provides support for interacting with the p2 provisioning engine
org.eclipse.ui.preferences
Classes for using the preferences support in org.eclipse.core.runtime.preferences

## Uses of IEclipsePreferences in org.eclipse.core.resources

Methods in org.eclipse.core.resources that return IEclipsePreferences
Modifier and Type
Method
Description
`IEclipsePreferences`
ProjectScope.`getNode(String qualifier)`

## Uses of IEclipsePreferences in org.eclipse.core.runtime.preferences

Subinterfaces of IEclipsePreferences in org.eclipse.core.runtime.preferences
Modifier and Type
Interface
Description
`interface`
`IExportedPreferences`
Represents a node in the preference hierarchy which is used in the import/export mechanism.
Methods in org.eclipse.core.runtime.preferences that return IEclipsePreferences
Modifier and Type
Method
Description
`IEclipsePreferences`
IScope.`create(IEclipsePreferences parent, String name)`
Create and return a new preference node with the given parent and name.
`IEclipsePreferences`
BundleDefaultsScope.`getNode(String qualifier)`
`IEclipsePreferences`
ConfigurationScope.`getNode(String qualifier)`
`IEclipsePreferences`
DefaultScope.`getNode(String qualifier)`
`IEclipsePreferences`
InstanceScope.`getNode(String qualifier)`
`IEclipsePreferences`
IScopeContext.`getNode(String qualifier)`
Return the preferences node that contains the preferences for the given qualifier or `null` if the node cannot be determined.
`IEclipsePreferences`
IPreferencesService.`getRootNode()`
Return the root node of the Eclipse preference hierarchy.
`IEclipsePreferences`
PreferenceModifyListener.`preApply(IEclipsePreferences node)`
Clients are given the opportunity to modify the given tree before it is applied to the global preference tree.
Methods in org.eclipse.core.runtime.preferences with parameters of type IEclipsePreferences
Modifier and Type
Method
Description
`void`
IPreferencesService.`applyPreferences(IEclipsePreferences node, IPreferenceFilter[] filters)`
Apply the preference tree rooted at the given node, to the system's preference tree.
`IEclipsePreferences`
IScope.`create(IEclipsePreferences parent, String name)`
Create and return a new preference node with the given parent and name.
`IStatus`
IPreferencesService.`exportPreferences(IEclipsePreferences node, OutputStream output, String[] excludesList)`
Exports all preferences for the given preference node and all its children to the specified output stream.
`void`
IPreferencesService.`exportPreferences(IEclipsePreferences node, IPreferenceFilter[] filters, OutputStream output)`
Export the preference tree rooted at the given node, to the specified output stream.
`IPreferenceFilter[]`
IPreferencesService.`matches(IEclipsePreferences node, IPreferenceFilter[] filters)`
Return a list of filters which match the given tree and is a subset of the given filter list.
`IEclipsePreferences`
PreferenceModifyListener.`preApply(IEclipsePreferences node)`
Clients are given the opportunity to modify the given tree before it is applied to the global preference tree.
`boolean`
IPreferenceNodeVisitor.`visit(IEclipsePreferences node)`
Visits the given preference node.
Constructors in org.eclipse.core.runtime.preferences with parameters of type IEclipsePreferences
Modifier
Constructor
Description
``
`OsgiPreferenceMetadataStore(IEclipsePreferences preferences)`

## Uses of IEclipsePreferences in org.eclipse.equinox.p2.engine

Methods in org.eclipse.equinox.p2.engine that return IEclipsePreferences
Modifier and Type
Method
Description
`IEclipsePreferences`
ProfileScope.`getNode(String qualifier)`

## Uses of IEclipsePreferences in org.eclipse.ui.preferences

Methods in org.eclipse.ui.preferences that return IEclipsePreferences
Modifier and Type
Method
Description
`IEclipsePreferences[]`
ScopedPreferenceStore.`getPreferenceNodes(boolean includeDefault)`
Return the preference path to search preferences on.
`IEclipsePreferences`
IWorkingCopyManager.`getWorkingCopy(IEclipsePreferences original)`
Return a working copy instance based on the given preference node.
`IEclipsePreferences`
WorkingCopyManager.`getWorkingCopy(IEclipsePreferences original)`
Methods in org.eclipse.ui.preferences with parameters of type IEclipsePreferences
Modifier and Type
Method
Description
`IEclipsePreferences`
IWorkingCopyManager.`getWorkingCopy(IEclipsePreferences original)`
Return a working copy instance based on the given preference node.
`IEclipsePreferences`
WorkingCopyManager.`getWorkingCopy(IEclipsePreferences original)`